/*
 * Copyright (c) 2015, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef Pins_Energia_h
#define Pins_Energia_h

#include <stdbool.h>
#include <stdint.h>

static const uint8_t RED_LED = 75;
static const uint8_t GREEN_LED = 76;
static const uint8_t BLUE_LED = 77;
static const uint8_t YELLOW_LED = 78; /* Mapped to the other RED LED */
static const uint8_t PUSH1 = 73;
static const uint8_t PUSH2 = 74;

static const uint8_t A0 = 30;
static const uint8_t A1 = 29;
//static const uint8_t A2 = n/a;
static const uint8_t A3 = 12;
static const uint8_t A4 = 33;
static const uint8_t A5 = 13;
static const uint8_t A6 = 28;
static const uint8_t A7 = 8;
static const uint8_t A8 = 27;
static const uint8_t A9 = 27;
static const uint8_t A10 = 6;
static const uint8_t A11 = 25;
static const uint8_t A12 = 5;
static const uint8_t A13 = 24;
static const uint8_t A14 = 23;
static const uint8_t A15 = 2;
static const uint8_t A16 = 59;
static const uint8_t A17 = 42;
static const uint8_t A18 = 58;
static const uint8_t A19 = 57;
static const uint8_t A20 = 41;
static const uint8_t A21 = 43;
static const uint8_t A22 = 69;
static const uint8_t A23 = 44;

#endif
